Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.system.server
Interface ServerConfig

All Known Implementing Classes:
  ServerConfigImpl

public interface ServerConfig

The interface of the basic typed JBoss server configuration.

Clients should use `ServerConfigLocator` to get an instance of `ServerConfig` and then use it to get the server's configuration bits.

Version:
  `$Revision: 1.13 $`
Author:
  Jason Dillon

Field Summary
`static String` | `BLOCKING_SHUTDOWN` Constant that holds the name of the environment property for specifying whether or not the server should shutdown synchronously (true) or asynchronously (false).
`static String` | `BOOT_LIBRARY_LIST` Constant that holds the name of the environment property for specifying a comma seperated list of the basenames of to the boot libraries required load the core system.
`static boolean` | `DEFAULT_BLOCKING_SHUTDOWN` The default value for `BLOCKING_SHUTDOWN`.
`static boolean` | `DEFAULT_EXIT_ON_SHUTDOWN` The default value for `EXIT_ON_SHUTDOWN`.
`static boolean` | `DEFAULT_REQUIRE_JBOSS_URL_STREAM_HANDLER_FACTORY` The default value for `REQUIRE_JBOSS_URL_STREAM_HANDLER_FACTORY`.
`static String` | `DEFAULT_ROOT_DEPLOYMENT_FILENAME` The default value for `ROOT_DEPLOYMENT_FILENAME`.
`static String` | `DEFAULT_SERVER_NAME` The default value for `SERVER_NAME`.
`static String` | `EXIT_ON_SHUTDOWN` Constant that holds the name of the environment property for specifying whether or not the server should exit the JVM on shutdown.
`static String` | `HOME_DIR` Constant that holds the name of the environment property for specifying the home directory for JBoss.
`static String` | `HOME_URL` Constant that holds the name of the environment property for specifying the home URL for JBoss.
`static String` | `LIBRARY_URL` Constant that holds the name of the environment property for specifying the URL where JBoss will read library files from.
`static String` | `LIBRARY_URL_SUFFIX` The suffix used when generating the default value for `LIBRARY_URL` and `SERVER_LIBRARY_URL`.
`static String` | `PATCH_URL` Constant that holds the name of the environment property for specifying the URL where JBoss will read patch library files from.
`static String` | `REQUIRE_JBOSS_URL_STREAM_HANDLER_FACTORY` Constant that holds the name of the environment property for specifying whether or not the server should log and ignore exceptions when setting the URLStreamHandlerFactory.
`static String` | `ROOT_DEPLOYMENT_FILENAME` Constant that holds the name of the environment property for specifying the root deployment filename (relative to the server config URL that will be deployed to finalize the boot strap process.
`static String` | `SERVER_BASE_DIR` Constant that holds the name of the environment property for specifying the base directory for calculating server home directories.
`static String` | `SERVER_BASE_DIR_SUFFIX` The suffix used when generating the default value for `SERVER_BASE_DIR`.
`static String` | `SERVER_BASE_URL` Constant that holds the name of the environment property for specifying the base URL for calculating server home URLs.
`static String` | `SERVER_BASE_URL_SUFFIX` The suffix used when generating the default value for `SERVER_BASE_URL`.
`static String` | `SERVER_BIND_ADDRESS` Constant that holds the name of the environment property for specifying the bind address for all jboss services
`static String` | `SERVER_CONFIG_URL` Constant that holds the name of the environment property for specifying the server configuration URL.
`static String` | `SERVER_CONFIG_URL_SUFFIX` The suffix used when generating the default value for `SERVER_CONFIG_URL`.
`static String` | `SERVER_DATA_DIR` Constant that holds the name of the environment property for specifying the directory which JBoss will use for persistent data file storage.
`static String` | `SERVER_DATA_DIR_SUFFIX` The suffix used when generating the default value for `SERVER_DATA_DIR`.
`static String` | `SERVER_HOME_DIR` Constant that holds the name of the environment property for specifying the server home directory for JBoss.
`static String` | `SERVER_HOME_URL` Constant that holds the name of the environment property for specifying the server home URL for JBoss.
`static String` | `SERVER_LIBRARY_URL` Constant that holds the name of the environment property for specifying the URL where JBoss will read server specific library files from.
`static String` | `SERVER_NAME` Constant that holds the name of the environment property for specifying the name of the server which will be used to calculate the servers home directory and url.
`static String` | `SERVER_TEMP_DIR` Constant that holds the name of the environment property for specifying the directory which JBoss will use for temporary file storage.
`static String` | `SERVER_TEMP_DIR_SUFFIX` The suffix used when generating the default value for `SERVER_TEMP_DIR`.
`static String` | `SERVER_TYPE` Constant that holds the name of the environment property for specifying the class type of the server to create.

Method Summary
`boolean` | `getBlockingShutdown()` Get the BlockingShutdown value.
`boolean` | `getExitOnShutdown()` Get the current value of the exit on shutdown flag.
`File` | `getHomeDir()` Get the local home directory which the server is running from.
`URL` | `getHomeURL()` Get the home URL which the server is running from.
`URL` | `getLibraryURL()` Get the library URL for the server.
`URL` | `getPatchURL()` Get the patch URL for the server.
`boolean` | `getRequireJBossURLStreamHandlerFactory()` Get the RequireJBossURLStreamHandlerFactory value.
`String` | `getRootDeploymentFilename()` Get the filename of the root deployable that will be used to finalize the bootstrap process.
`File` | `getServerBaseDir()` Get the base directory for calculating server home directories.
`URL` | `getServerBaseURL()` Get the base directory for calculating server home URLs.
`URL` | `getServerConfigURL()` Get the server configuration URL.
`File` | `getServerDataDir()` Get the directory where local data will be stored.
`File` | `getServerHomeDir()` Get the server home directory.
`URL` | `getServerHomeURL()` Get the server home URL.
`URL` | `getServerLibraryURL()` Get the server library URL.
`String` | `getServerName()` Get the name of the server.
`File` | `getServerTempDir()` Get the directory where temporary files will be stored.
`void` | `setBlockingShutdown(boolean blockingShutdown)` Set the BlockingShutdown value.
`void` | `setExitOnShutdown(boolean flag)` Enable or disable exiting the JVM when `Server.shutdown()` is called.
`void` | `setRequireJBossURLStreamHandlerFactory(boolean requireJBossURLStreamHandlerFactory)` Set the RequireJBossURLStreamHandlerFactory value.
`void` | `setRootDeploymentFilename(String filename)` Set the filename of the root deployable that will be used to finalize the bootstrap process.

Field Detail

### BOOT_LIBRARY_LIST

    public static final String BOOT_LIBRARY_LIST

  Constant that holds the name of the environment property for specifying a comma seperated list of the basenames of to the boot libraries required load the core system.

  These libraries will be loaded from `LIBRARY_URL`.

  See Also:
    Constant Field Values

### SERVER_TYPE

    public static final String SERVER_TYPE

  Constant that holds the name of the environment property for specifying the class type of the server to create.

  See Also:
    Constant Field Values

### ROOT_DEPLOYMENT_FILENAME

    public static final String ROOT_DEPLOYMENT_FILENAME

  Constant that holds the name of the environment property for specifying the root deployment filename (relative to the server config URL that will be deployed to finalize the boot strap process.

  If not set then the server will default to `DEFAULT_ROOT_DEPLOYMENT_FILENAME`.

  See Also:
    Constant Field Values

### HOME_DIR

    public static final String HOME_DIR

  Constant that holds the name of the environment property for specifying the home directory for JBoss.

  See Also:
    Constant Field Values

### HOME_URL

    public static final String HOME_URL

  Constant that holds the name of the environment property for specifying the home URL for JBoss.

  If not set then the value of HOME_DIR will converted into a URL.

  See Also:
    Constant Field Values

### LIBRARY_URL

    public static final String LIBRARY_URL

  Constant that holds the name of the environment property for specifying the URL where JBoss will read library files from.

  Defaults to `HOME_URL/lib`/

  See Also:
    Constant Field Values

### PATCH_URL

    public static final String PATCH_URL

  Constant that holds the name of the environment property for specifying the URL where JBoss will read patch library files from.

  If this value is a `file` URL, then all .zip and .jar files inside will be prepended to the classpath. Otherwise the URL will be added to the classpath. If not set then the no patch files will be loaded.

  See Also:
    Constant Field Values

### SERVER_NAME

    public static final String SERVER_NAME

  Constant that holds the name of the environment property for specifying the name of the server which will be used to calculate the servers home directory and url.

  Defaults to `default`.

  See Also:
    Constant Field Values

### SERVER_BASE_DIR

    public static final String SERVER_BASE_DIR

  Constant that holds the name of the environment property for specifying the base directory for calculating server home directories.

  Defaults to `HOME_DIR/server`.

  See Also:
    Constant Field Values

### SERVER_HOME_DIR

    public static final String SERVER_HOME_DIR

  Constant that holds the name of the environment property for specifying the server home directory for JBoss.

  Defaults to `SERVER_BASE_DIR/SERVER_NAME`.

  See Also:
    Constant Field Values

### SERVER_TEMP_DIR

    public static final String SERVER_TEMP_DIR

  Constant that holds the name of the environment property for specifying the directory which JBoss will use for temporary file storage.

  Defaults to `SERVER_HOME_DIR/tmp` .

  See Also:
    Constant Field Values

### SERVER_DATA_DIR

    public static final String SERVER_DATA_DIR

  Constant that holds the name of the environment property for specifying the directory which JBoss will use for persistent data file storage.

  Defaults to `SERVER_HOME_DIR/data`.

  See Also:
    Constant Field Values

### SERVER_BASE_URL

    public static final String SERVER_BASE_URL

  Constant that holds the name of the environment property for specifying the base URL for calculating server home URLs.

  Defaults to `HOME_URL/server`.

  See Also:
    Constant Field Values

### SERVER_HOME_URL

    public static final String SERVER_HOME_URL

  Constant that holds the name of the environment property for specifying the server home URL for JBoss.

  Defaults to `SERVER_BASE_URL/SERVER_NAME`.

  See Also:
    Constant Field Values

### SERVER_CONFIG_URL

    public static final String SERVER_CONFIG_URL

  Constant that holds the name of the environment property for specifying the server configuration URL.

  Defaults to `SERVER_HOME_UTL/conf` .

  See Also:
    Constant Field Values

### SERVER_LIBRARY_URL

    public static final String SERVER_LIBRARY_URL

  Constant that holds the name of the environment property for specifying the URL where JBoss will read server specific library files from.

  Defaults to `SERVER_HOME_URL/lib`/

  See Also:
    Constant Field Values

### SERVER_BIND_ADDRESS

    public static final String SERVER_BIND_ADDRESS

  Constant that holds the name of the environment property for specifying the bind address for all jboss services

  See Also:
    Constant Field Values

### EXIT_ON_SHUTDOWN

    public static final String EXIT_ON_SHUTDOWN

  Constant that holds the name of the environment property for specifying whether or not the server should exit the JVM on shutdown.

  If not set then the server will default to exiting on shutdown.

  See Also:
    Constant Field Values

### BLOCKING_SHUTDOWN

    public static final String BLOCKING_SHUTDOWN

  Constant that holds the name of the environment property for specifying whether or not the server should shutdown synchronously (true) or asynchronously (false).

  If not set then the server will default to asynchronous shutdown.

  See Also:
    Constant Field Values

### REQUIRE_JBOSS_URL_STREAM_HANDLER_FACTORY

    public static final String REQUIRE_JBOSS_URL_STREAM_HANDLER_FACTORY

  Constant that holds the name of the environment property for specifying whether or not the server should log and ignore exceptions when setting the URLStreamHandlerFactory.

  If not set then the server will default to asynchronous shutdown.

  See Also:
    Constant Field Values

### LIBRARY_URL_SUFFIX

    public static final String LIBRARY_URL_SUFFIX

  The suffix used when generating the default value for `LIBRARY_URL` and `SERVER_LIBRARY_URL`.

  See Also:
    Constant Field Values

### SERVER_CONFIG_URL_SUFFIX

    public static final String SERVER_CONFIG_URL_SUFFIX

  The suffix used when generating the default value for `SERVER_CONFIG_URL`.

  See Also:
    Constant Field Values

### SERVER_BASE_DIR_SUFFIX

    public static final String SERVER_BASE_DIR_SUFFIX

  The suffix used when generating the default value for `SERVER_BASE_DIR`.

  See Also:
    Constant Field Values

### SERVER_BASE_URL_SUFFIX

    public static final String SERVER_BASE_URL_SUFFIX

  The suffix used when generating the default value for `SERVER_BASE_URL`.

  See Also:
    Constant Field Values

### SERVER_DATA_DIR_SUFFIX

    public static final String SERVER_DATA_DIR_SUFFIX

  The suffix used when generating the default value for `SERVER_DATA_DIR`.

  See Also:
    Constant Field Values

### SERVER_TEMP_DIR_SUFFIX

    public static final String SERVER_TEMP_DIR_SUFFIX

  The suffix used when generating the default value for `SERVER_TEMP_DIR`.

  See Also:
    Constant Field Values

### DEFAULT_SERVER_NAME

    public static final String DEFAULT_SERVER_NAME

  The default value for `SERVER_NAME`.

  See Also:
    Constant Field Values

### DEFAULT_EXIT_ON_SHUTDOWN

    public static final boolean DEFAULT_EXIT_ON_SHUTDOWN

  The default value for `EXIT_ON_SHUTDOWN`.

  See Also:
    Constant Field Values

### DEFAULT_BLOCKING_SHUTDOWN

    public static final boolean DEFAULT_BLOCKING_SHUTDOWN

  The default value for `BLOCKING_SHUTDOWN`.

  See Also:
    Constant Field Values

### DEFAULT_REQUIRE_JBOSS_URL_STREAM_HANDLER_FACTORY

    public static final boolean DEFAULT_REQUIRE_JBOSS_URL_STREAM_HANDLER_FACTORY

  The default value for `REQUIRE_JBOSS_URL_STREAM_HANDLER_FACTORY`.

  See Also:
    Constant Field Values

### DEFAULT_ROOT_DEPLOYMENT_FILENAME

    public static final String DEFAULT_ROOT_DEPLOYMENT_FILENAME

  The default value for `ROOT_DEPLOYMENT_FILENAME`.

  See Also:
    Constant Field Values

Method Detail

### getHomeDir

    public File getHomeDir()

  Get the local home directory which the server is running from.

  Returns:
    The local server home directory.

### getHomeURL

    public URL getHomeURL()

  Get the home URL which the server is running from.

  Returns:
    The home URL which the server is running from.

### getLibraryURL

    public URL getLibraryURL()

  Get the library URL for the server.

  Returns:
    The library URL for the server.

### getPatchURL

    public URL getPatchURL()

  Get the patch URL for the server.

  Returns:
    The patch URL for the server.

### getServerName

    public String getServerName()

  Get the name of the server.

  Returns:
    The name of the server.

### getServerBaseDir

    public File getServerBaseDir()

  Get the base directory for calculating server home directories.

  Returns:
    Base server home directory.

### getServerHomeDir

    public File getServerHomeDir()

  Get the server home directory.

  Returns:
    Server home directory.

### getServerTempDir

    public File getServerTempDir()

  Get the directory where temporary files will be stored.

  Returns:
    The directory where the server stores temporary files.

### getServerDataDir

    public File getServerDataDir()

  Get the directory where local data will be stored.

  Returns:
    The directory where the server stores local data.

### getServerBaseURL

    public URL getServerBaseURL()

  Get the base directory for calculating server home URLs.

  Returns:
    Base server home URL.

### getServerHomeURL

    public URL getServerHomeURL()

  Get the server home URL.

  Returns:
    Server home URL.

### getServerLibraryURL

    public URL getServerLibraryURL()

  Get the server library URL.

  Returns:
    Server library URL.

### getServerConfigURL

    public URL getServerConfigURL()

  Get the server configuration URL.

  Returns:
    Server configuration URL.

### setExitOnShutdown

    public void setExitOnShutdown(boolean flag)

  Enable or disable exiting the JVM when `Server.shutdown()` is called. If enabled, then shutdown calls `Server.exit(int)`. If disabled, then only the shutdown hook will be run.

  Parameters:
    `flag` - True to enable calling exit on shutdown.

### getExitOnShutdown

    public boolean getExitOnShutdown()

  Get the current value of the exit on shutdown flag.

  Returns:
    The current value of the exit on shutdown flag.

### getBlockingShutdown

    public boolean getBlockingShutdown()

  Get the BlockingShutdown value.

  Returns:
    the BlockingShutdown value.

### setBlockingShutdown

    public void setBlockingShutdown(boolean blockingShutdown)

  Set the BlockingShutdown value.

  Parameters:
    `blockingShutdown` - The new BlockingShutdown value.

### getRequireJBossURLStreamHandlerFactory

    public boolean getRequireJBossURLStreamHandlerFactory()

  Get the RequireJBossURLStreamHandlerFactory value.

  Returns:
    the RequireJBossURLStreamHandlerFactory value.

### setRequireJBossURLStreamHandlerFactory

    public void setRequireJBossURLStreamHandlerFactory(boolean requireJBossURLStreamHandlerFactory)

  Set the RequireJBossURLStreamHandlerFactory value.

  Parameters:
    `requireJBossURLStreamHandlerFactory` - The new RequireJBossURLStreamHandlerFactory value.

### setRootDeploymentFilename

    public void setRootDeploymentFilename(String filename)

  Set the filename of the root deployable that will be used to finalize the bootstrap process.

  Parameters:
    `filename` - The filename of the root deployable.

### getRootDeploymentFilename

    public String getRootDeploymentFilename()

  Get the filename of the root deployable that will be used to finalize the bootstrap process.

  Returns:
    The filename of the root deployable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.